﻿using System;
using System.Collections.Generic;
namespace HR.DataLayer
{
    public interface IEmployeeData
    {
        IList<Employee> GetAllEmployees();
        IList<Employee> GetEmployeesByEmployeeType(int employeeTypeId);
        Employee GetEmployeeById(int id);
        int CreateNewEmployee(Employee employee);
        int UpdateEmployee(Employee employee);
        int DeleteEmployee(int employeeId);
    }
}
