﻿using ServiceStack.ServiceHost;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HR.Dto
{
    [Route ("/employees", "POST, PUT, PATCH, DELETE")]
    [Route ("/employees/{Id}")]
    public class Employee
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Telephone { get; set; }
        public string Address { get; set; }
        public string EmployeeType { get; set; }
        public int EmployeeTypeId { get; set; }
        public DateTime EmploymentDate { get; set; }
    }
}
