﻿using HR.Dto;
using ServiceStack.WebHost.Endpoints;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;

namespace HR.Service
{
    public class Global : System.Web.HttpApplication
    {
        public class HRServiceAppHost : AppHostBase
        {
            public HRServiceAppHost() : base("HR Service", typeof(EmployeeService).Assembly)
            {
            }

            public override void Configure(Funq.Container container)
            {
                Routes.Add<Employee>("/employees")
                    .Add<Employee>("/employees/{Id}")
                    .Add<Employees>("/employees/employeetype/{EmployeeTypeId}");
            }
        }

        protected void Application_Start(object sender, EventArgs e)
        {
            new HRServiceAppHost().Init();
        }

    }
}