﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace HR.Service.Translators
{
    public static class EmployeeTranslator
    {
        public static HR.DataLayer.Employee Translate(this HR.Dto.Employee e)
        {
            if (e == null)
            {
                return new DataLayer.Employee();
            }

            return new DataLayer.Employee
            {
                EmployeeTypeId = e.EmployeeTypeId,
                Id = e.Id,
                Name = e.Name,
                Address = e.Address, 
                Telephone = e.Telephone, 
                EmploymentDate = e.EmploymentDate
            };
        }

        public static HR.Dto.Employee Translate(this HR.DataLayer.Employee e)
        {
            if (e == null)
            {
                return new HR.Dto.Employee();
            }
            return new HR.Dto.Employee
            {
                EmployeeTypeId = e.EmployeeTypeId,
                Id = e.Id,
                Name = e.Name,
                Address = e.Address,
                Telephone = e.Telephone,
                EmploymentDate = e.EmploymentDate
            };
        }
    }
}