﻿using HR.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HR.Mvc.Models;

namespace HR.Mvc.Translators
{
    public static class EmployeeTranslator
    {
        public static EmployeeModel Translate(this Employee e)
        {
            return new EmployeeModel
            {
                Address = e.Address,
                EmployeeType = e.EmployeeType,
                EmployeeTypeId = e.EmployeeTypeId,
                EmploymentDate = e.EmploymentDate,
                Id = e.Id,
                Name = e.Name,
                Telephone = e.Telephone
            };
        }

        public static Employee Translate(this EmployeeModel e)
        {
            return new Employee
            {
                Address = e.Address,
                EmployeeType = e.EmployeeType,
                EmployeeTypeId = e.EmployeeTypeId,
                EmploymentDate = e.EmploymentDate,
                Id = e.Id,
                Name = e.Name,
                Telephone = e.Telephone
            };
        }
    }
}